Replace inference registry credential
curl --request PUT \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/registry_credentials/{credential_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "password",
"registry_url": "registry.example.com",
"username": "username"
}
'import requests
url = "https://api.gcore.com/cloud/v3/inference/{project_id}/registry_credentials/{credential_name}"
payload = {
"password": "password",
"registry_url": "registry.example.com",
"username": "username"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
password: 'password',
registry_url: 'registry.example.com',
username: 'username'
})
};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/registry_credentials/{credential_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "docker-io",
"project_id": 1,
"registry_url": "registry.example.com",
"username": "username"
}Everywhere Inference
Replace inference registry credential
PUT
/
cloud
/
v3
/
inference
/
{project_id}
/
registry_credentials
/
{credential_name}
Replace inference registry credential
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Registry credential name.
Minimum string length:
4Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?$Example:
"docker-io"
Body
application/json
Response
200 - application/json
OK
Registry credential name.
Minimum string length:
4Pattern:
^[a-z0-9]([-a-z0-9]*[a-z0-9])?$Example:
"docker-io"
Project ID to which the inference registry credentials belongs.
Example:
1
Registry URL.
Example:
"registry.example.com"
Registry username.
Example:
"username"
Was this page helpful?
⌘I